Skip to main content
GET
/
networks
/
affiliates
/
{affiliateId}
/
trackingdomains
/
{affiliateTrackingDomainId}
Get Affiliate Tracking Domain
curl --request GET \
  --url https://api.eflow.team/v1/networks/affiliates/{affiliateId}/trackingdomains/{affiliateTrackingDomainId} \
  --header 'X-Eflow-Api-Key: <api-key>'
{
  "network_affiliate_tracking_domain_id": 1,
  "network_id": 1,
  "network_affiliate_id": 7,
  "network_tracking_domain_id": 1,
  "is_apply_all_offers": true,
  "network_offer_id": 0,
  "relationship": {
    "affiliate": {
      "network_affiliate_id": 7,
      "network_id": 1,
      "name": "Partner A",
      "account_status": "active",
      "network_traffic_source_id": 0
    },
    "tracking_domain": {
      "network_tracking_domain_id": 1,
      "network_id": 1,
      "url": "www.testtracking.com",
      "is_primary_domain": true,
      "domain_status": "active",
      "is_unassignable": false,
      "ownership": "internal",
      "is_ssl_enabled": false,
      "html_static_redirect": "",
      "url_redirect": "",
      "public_notes": "",
      "time_created": 1774296114,
      "time_saved": 1774296114
    }
  }
}

Authorizations

X-Eflow-Api-Key
string
header
required

The Everflow API key generated from the Control Center > Security.

Path Parameters

affiliateId
integer
required

The unique affiliate ID.

affiliateTrackingDomainId
integer
required

The unique affiliate tracking domain ID.

Response

OK

network_affiliate_tracking_domain_id
integer

Unique affiliate tracking domain assignment ID.

network_id
integer

Network ID.

network_affiliate_id
integer

Affiliate ID.

network_tracking_domain_id
integer

Tracking domain ID.

is_apply_all_offers
boolean

Whether this tracking domain applies to all offers.

network_offer_id
integer

The specific offer ID this domain is applied to.

relationship
object

Related data for this affiliate tracking domain assignment. Includes affiliate, tracking domain, and optionally offer details.